it.reply.healty.innovapuglia.mstaccuino.database.repository

## Interface DoloriRepository

- All Superinterfaces:
    org.springframework.data.repository.CrudRepository<Dolore,String>, org.springframework.data.jpa.repository.JpaRepository<Dolore,String>, org.springframework.data.repository.PagingAndSortingRepository<Dolore,String>, org.springframework.data.repository.query.QueryByExampleExecutor<Dolore>, org.springframework.data.repository.Repository<Dolore,String>

      @Repository
      public interface DoloriRepository
      extends org.springframework.data.jpa.repository.JpaRepository<Dolore,String>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Dolore>` | `findAllActiveByIdNota(String idNota)` Recupera tutti i Dolore attivi associati a un determinato ID di nota taccuino.
    `Optional<Dolore>` | `findByIdAndAttivo(String id, Boolean attivo)` Recupera l'oggetto di tipo Dolore attivo associati a un determinato ID.

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllByIdInBatch, deleteAllInBatch, deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAllById, flush, getById, getOne, getReferenceById, saveAll, saveAllAndFlush, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, deleteAll, deleteAll, deleteAllById, deleteById, existsById, findById, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findBy, findOne`

- - ### Method Detail

    - #### findByIdAndAttivo

          Optional<Dolore> findByIdAndAttivo(String id,
                                             Boolean attivo)

      Recupera l'oggetto di tipo Dolore attivo associati a un determinato ID.
      Parameters:
        `id` - ID dell'oggetto da trovare.
        `attivo` - Boolean che specifica lo stato attivo dell'oggetto.
      Returns:
        Oggetto di tipo Dolore attivo se trovato.

    - #### findAllActiveByIdNota

          @Query(value="from Dolore d where d.nota.id = :idNota and d.attivo = true")
          List<Dolore> findAllActiveByIdNota(@Param(value="idNota")
                                                                                                                          String idNota)

      Recupera tutti i Dolore attivi associati a un determinato ID di nota taccuino.
      Parameters:
        `idNota` - ID del taccuino associato ai documenti.
      Returns:
        Lista di Dolore attivi associati al taccuino specifico.

Copyright © 2024. All rights reserved.